## e-util-enums e-util-enums |

## Types and Values

enum | EActivityState
enum | EAutomaticActionPolicy
enum | EDateWeekday
enum | EDurationType
enum | EImageLoadingPolicy
enum | EContentEditorInsertContentFlags
enum | EContentEditorGetContentFlags
enum | EContentEditorNodeFlags
enum | EContentEditorBlockFormat
enum | EContentEditorFontSize
enum | EContentEditorAlignment
enum | EContentEditorGranularity
enum | EContentEditorCommand
enum | EContentEditorScope
enum | EContentEditorUnit
enum | EContentEditorFindFlags
enum | EContentEditorMode
enum | EUndoRedoState
enum | EDnDTargetType
enum | EConfigLookupSourceKind
enum | EConfigLookupResultKind
#define | E_CONFIG_LOOKUP_RESULT_LAST_KIND
enum | EMarkdownHTMLToTextFlags

## Description

## Functions

## Types and Values

### enum EActivityState

Various states of an EActivity.

#### Members

E_ACTIVITY_RUNNING | The EActivity is running. |
E_ACTIVITY_WAITING | The EActivity is waiting to be run. |
E_ACTIVITY_CANCELLED | The EActivity has been cancelled. |
E_ACTIVITY_COMPLETED | The EActivity has completed. |

### enum EAutomaticActionPolicy

Used for automatable actions based on the user's preference. The user is initially asked whether to perform the action automatically, and is given either-or choices like "Yes, Always" or "No, Never". The user's response is then remembered for future sessions.

#### Members

E_AUTOMATIC_ACTION_POLICY_ASK | Ask the user whether to perform the action. |
E_AUTOMATIC_ACTION_POLICY_ALWAYS | Perform the action without interrupting the user. |
E_AUTOMATIC_ACTION_POLICY_NEVER | Do not perform the action and do not interrupt the user. |

### enum EDateWeekday

Enumeration representing a day of the week; `E_DATE_MONDAY` , `E_DATE_TUESDAY` , etc. `G_DATE_BAD_WEEKDAY` is an invalid weekday.

This enum type is intentionally compatible with GDateWeekday. It exists only because GLib does not provide a GEnumClass for GDateWeekday. If that ever changes, this enum can go away.

#### Members

E_DATE_BAD_WEEKDAY | Invalid value |
E_DATE_MONDAY | Monday |
E_DATE_TUESDAY | Tuesday |
E_DATE_WEDNESDAY | Wednesday |
E_DATE_THURSDAY | Thursday |
E_DATE_FRIDAY | Friday |
E_DATE_SATURDAY | Saturday |
E_DATE_SUNDAY | Sunday |

### enum EDurationType

Possible units for a duration or interval value.

This enumeration is typically used where the numeric value and the units of the value are shown or recorded separately.

#### Members

E_DURATION_MINUTES | Duration value is in minutes. |
E_DURATION_HOURS | Duration value is in hours. |
E_DURATION_DAYS | Duration value is in days. |

### enum EImageLoadingPolicy

Policy for loading remote image URLs in email. Allowing images to be loaded from a remote server may have privacy implications.

#### Members

E_IMAGE_LOADING_POLICY_NEVER | Never load images from a remote server. |
E_IMAGE_LOADING_POLICY_SOMETIMES | Only load images from a remote server if the sender is a known contact. |
E_IMAGE_LOADING_POLICY_ALWAYS | Always load images from a remote server. |

### enum EContentEditorInsertContentFlags

#### Members

E_CONTENT_EDITOR_INSERT_NONE |  |
E_CONTENT_EDITOR_INSERT_CONVERT |  |
E_CONTENT_EDITOR_INSERT_QUOTE_CONTENT |  |
E_CONTENT_EDITOR_INSERT_REPLACE_ALL |  |
E_CONTENT_EDITOR_INSERT_TEXT_HTML |  |
E_CONTENT_EDITOR_INSERT_TEXT_PLAIN |  |
E_CONTENT_EDITOR_INSERT_CONVERT_PREFER_PRE | Set when should convert plain text into <pre> instead of <div>. Since 3.40 |
E_CONTENT_EDITOR_INSERT_CLEANUP_SIGNATURE_ID | Set when should cleanup signature ID in the body. Since 3.42 |

Since: 3.22

### enum EContentEditorGetContentFlags

Influences what content should be returned. Each flag means one version, or part, of the content.

#### Members

E_CONTENT_EDITOR_GET_INLINE_IMAGES | Return also list of inline images |
E_CONTENT_EDITOR_GET_RAW_BODY_HTML | text/html version of the body only, as used by the editor |
E_CONTENT_EDITOR_GET_RAW_BODY_PLAIN | text/plain version of the body only, as used by the editor |
E_CONTENT_EDITOR_GET_RAW_BODY_STRIPPED | text/plain version of the body only, without signature, quoted text and such |
E_CONTENT_EDITOR_GET_RAW_DRAFT | a version of the content, to use as draft message |
E_CONTENT_EDITOR_GET_TO_SEND_HTML | text/html version of the content, suitable to be sent |
E_CONTENT_EDITOR_GET_TO_SEND_PLAIN | text/plain version of the content, suitable to be sent |
E_CONTENT_EDITOR_GET_ALL | a shortcut for all flags |

Since: 3.38

### enum EContentEditorNodeFlags

#### Members

E_CONTENT_EDITOR_NODE_UNKNOWN | None from the below, aka when cannot determine. |
E_CONTENT_EDITOR_NODE_IS_ANCHOR |  |
E_CONTENT_EDITOR_NODE_IS_H_RULE |  |
E_CONTENT_EDITOR_NODE_IS_IMAGE |  |
E_CONTENT_EDITOR_NODE_IS_TABLE |  |
E_CONTENT_EDITOR_NODE_IS_TABLE_CELL |  |
E_CONTENT_EDITOR_NODE_IS_TEXT |  |
E_CONTENT_EDITOR_NODE_IS_TEXT_COLLAPSED |  |

Since: 3.22

### enum EContentEditorBlockFormat

#### Members

E_CONTENT_EDITOR_BLOCK_FORMAT_NONE |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_PARAGRAPH |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_PRE |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ADDRESS |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H1 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H2 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H3 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H4 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H5 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H6 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_UNORDERED_LIST |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ORDERED_LIST |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ORDERED_LIST_ROMAN |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ORDERED_LIST_ALPHA |  |

Since: 3.22

### enum EContentEditorFontSize

Note: The values match the actual size in <font size="n">

#### Members

E_CONTENT_EDITOR_FONT_SIZE_TINY |  |
E_CONTENT_EDITOR_FONT_SIZE_SMALL |  |
E_CONTENT_EDITOR_FONT_SIZE_NORMAL |  |
E_CONTENT_EDITOR_FONT_SIZE_BIG |  |
E_CONTENT_EDITOR_FONT_SIZE_BIGGER |  |
E_CONTENT_EDITOR_FONT_SIZE_LARGE |  |
E_CONTENT_EDITOR_FONT_SIZE_VERY_LARGE |  |

Since: 3.22

### enum EContentEditorAlignment

#### Members

E_CONTENT_EDITOR_ALIGNMENT_NONE |  |
E_CONTENT_EDITOR_ALIGNMENT_LEFT |  |
E_CONTENT_EDITOR_ALIGNMENT_CENTER |  |
E_CONTENT_EDITOR_ALIGNMENT_RIGHT |  |
E_CONTENT_EDITOR_ALIGNMENT_JUSTIFY |  |

Since: 3.22

### enum EContentEditorGranularity

#### Members

E_CONTENT_EDITOR_GRANULARITY_CHARACTER |  |
E_CONTENT_EDITOR_GRANULARITY_WORD |  |

Since: 3.22

### enum EContentEditorCommand

Flags to use to modify behaviour of the search for the text.

#### Members

E_CONTENT_EDITOR_COMMAND_BACKGROUND_COLOR |  |
E_CONTENT_EDITOR_COMMAND_BOLD |  |
E_CONTENT_EDITOR_COMMAND_COPY |  |
E_CONTENT_EDITOR_COMMAND_CREATE_LINK |  |
E_CONTENT_EDITOR_COMMAND_CUT |  |
E_CONTENT_EDITOR_COMMAND_DEFAULT_PARAGRAPH_SEPARATOR |  |
E_CONTENT_EDITOR_COMMAND_DELETE |  |
E_CONTENT_EDITOR_COMMAND_FIND_STRING |  |
E_CONTENT_EDITOR_COMMAND_FONT_NAME |  |
E_CONTENT_EDITOR_COMMAND_FONT_SIZE |  |
E_CONTENT_EDITOR_COMMAND_FONT_SIZE_DELTA |  |
E_CONTENT_EDITOR_COMMAND_FORE_COLOR |  |
E_CONTENT_EDITOR_COMMAND_FORMAT_BLOCK |  |
E_CONTENT_EDITOR_COMMAND_FORWARD_DELETE |  |
E_CONTENT_EDITOR_COMMAND_HILITE_COLOR |  |
E_CONTENT_EDITOR_COMMAND_INDENT |  |
E_CONTENT_EDITOR_COMMAND_INSERT_HTML |  |
E_CONTENT_EDITOR_COMMAND_INSERT_HORIZONTAL_RULE |  |
E_CONTENT_EDITOR_COMMAND_INSERT_IMAGE |  |
E_CONTENT_EDITOR_COMMAND_INSERT_LINE_BREAK |  |
E_CONTENT_EDITOR_COMMAND_INSERT_NEW_LINE_IN_QUOTED_CONTENT |  |
E_CONTENT_EDITOR_COMMAND_INSERT_ORDERED_LIST |  |
E_CONTENT_EDITOR_COMMAND_INSERT_PARAGRAPH |  |
E_CONTENT_EDITOR_COMMAND_INSERT_TEXT |  |
E_CONTENT_EDITOR_COMMAND_INSERT_UNORDERED_LIST |  |
E_CONTENT_EDITOR_COMMAND_ITALIC |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_CENTER |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_FULL |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_LEFT |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_NONE |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_RIGHT |  |
E_CONTENT_EDITOR_COMMAND_OUTDENT |  |
E_CONTENT_EDITOR_COMMAND_PASTE |  |
E_CONTENT_EDITOR_COMMAND_PASTE_AND_MATCH_STYLE |  |
E_CONTENT_EDITOR_COMMAND_PASTE_AS_PLAIN_TEXT |  |
E_CONTENT_EDITOR_COMMAND_PRINT |  |
E_CONTENT_EDITOR_COMMAND_REDO |  |
E_CONTENT_EDITOR_COMMAND_REMOVE_FORMAT |  |
E_CONTENT_EDITOR_COMMAND_SELECT_ALL |  |
E_CONTENT_EDITOR_COMMAND_STRIKETHROUGH |  |
E_CONTENT_EDITOR_COMMAND_STYLE_WITH_CSS |  |
E_CONTENT_EDITOR_COMMAND_SUBSCRIPT |  |
E_CONTENT_EDITOR_COMMAND_SUPERSCRIPT |  |
E_CONTENT_EDITOR_COMMAND_TRANSPOSE |  |
E_CONTENT_EDITOR_COMMAND_UNDERLINE |  |
E_CONTENT_EDITOR_COMMAND_UNDO |  |
E_CONTENT_EDITOR_COMMAND_UNLINK |  |
E_CONTENT_EDITOR_COMMAND_UNSELECT |  |
E_CONTENT_EDITOR_COMMAND_USE_CSS |  |

Since: 3.22

### enum EContentEditorScope

#### Members

E_CONTENT_EDITOR_SCOPE_CELL |  |
E_CONTENT_EDITOR_SCOPE_ROW |  |
E_CONTENT_EDITOR_SCOPE_COLUMN |  |
E_CONTENT_EDITOR_SCOPE_TABLE |  |

Since: 3.22

### enum EContentEditorUnit

#### Members

E_CONTENT_EDITOR_UNIT_AUTO |  |
E_CONTENT_EDITOR_UNIT_PIXEL |  |
E_CONTENT_EDITOR_UNIT_PERCENTAGE |  |

Since: 3.22

### enum EContentEditorFindFlags

#### Members

E_CONTENT_EDITOR_FIND_NEXT |  |
E_CONTENT_EDITOR_FIND_PREVIOUS |  |
E_CONTENT_EDITOR_FIND_MODE_BACKWARDS |  |
E_CONTENT_EDITOR_FIND_CASE_INSENSITIVE |  |
E_CONTENT_EDITOR_FIND_WRAP_AROUND |  |

### enum EContentEditorMode

Editing mode of a content editor.

#### Members

E_CONTENT_EDITOR_MODE_UNKNOWN | unknown mode |
E_CONTENT_EDITOR_MODE_PLAIN_TEXT | plain text, expects export as text/plain |
E_CONTENT_EDITOR_MODE_HTML | HTML, expects export as text/html |
E_CONTENT_EDITOR_MODE_MARKDOWN | markdown, expects export as text/markdown |
E_CONTENT_EDITOR_MODE_MARKDOWN_PLAIN_TEXT | markdown, expects export as text/plain |
E_CONTENT_EDITOR_MODE_MARKDOWN_HTML | markdown, expects export as text/html |

Since: 3.44

### enum EUndoRedoState

Flags in what state Undo/Redo stack is.

#### Members

E_UNDO_REDO_STATE_NONE | Cannot undo, neither redo. |
E_UNDO_REDO_STATE_CAN_UNDO | Undo is available. |
E_UNDO_REDO_STATE_CAN_REDO | Redo is available. |

Since: 3.38

### enum EDnDTargetType

Drag and drop targets supported by EContentEditor.

#### Members

E_DND_TARGET_TYPE_TEXT_URI_LIST |  |
E_DND_TARGET_TYPE_MOZILLA_URL |  |
E_DND_TARGET_TYPE_TEXT_HTML |  |
E_DND_TARGET_TYPE_UTF8_STRING |  |
E_DND_TARGET_TYPE_TEXT_PLAIN |  |
E_DND_TARGET_TYPE_STRING |  |
E_DND_TARGET_TYPE_TEXT_PLAIN_UTF8 |  |

Since: 3.26

### enum EConfigLookupSourceKind

Defines what source kind to get in call of `e_config_lookup_get_source()`.

#### Members

E_CONFIG_LOOKUP_SOURCE_UNKNOWN | unknown source kind |
E_CONFIG_LOOKUP_SOURCE_COLLECTION | collection source |
E_CONFIG_LOOKUP_SOURCE_MAIL_ACCOUNT | mail account source |
E_CONFIG_LOOKUP_SOURCE_MAIL_IDENTITY | mail identity source |
E_CONFIG_LOOKUP_SOURCE_MAIL_TRANSPORT | mail transport source |

Since: 3.26

### enum EConfigLookupResultKind

Defines config lookup result kind, which is used to distinguish which part the result configures.

#### Members

E_CONFIG_LOOKUP_RESULT_UNKNOWN | unknown kind |
E_CONFIG_LOOKUP_RESULT_COLLECTION | collection kind, which can serve one or more of the other kinds |
E_CONFIG_LOOKUP_RESULT_MAIL_RECEIVE | configures mail receive |
E_CONFIG_LOOKUP_RESULT_MAIL_SEND | configures mail send |
E_CONFIG_LOOKUP_RESULT_ADDRESS_BOOK | configures address book |
E_CONFIG_LOOKUP_RESULT_CALENDAR | configures calendar |
E_CONFIG_LOOKUP_RESULT_MEMO_LIST | configures memo list |
E_CONFIG_LOOKUP_RESULT_TASK_LIST | configures task list |

Since: 3.26

### E_CONFIG_LOOKUP_RESULT_LAST_KIND

    #define E_CONFIG_LOOKUP_RESULT_LAST_KIND E_CONFIG_LOOKUP_RESULT_TASK_LIST

### enum EMarkdownHTMLToTextFlags

Flags used in `e_markdown_util_html_to_text()`.

#### Members

E_MARKDOWN_HTML_TO_TEXT_FLAG_NONE | no flag set |
E_MARKDOWN_HTML_TO_TEXT_FLAG_PLAIN_TEXT | disallow any HTML, save in pure plain text |
E_MARKDOWN_HTML_TO_TEXT_FLAG_COMPOSER_QUIRKS | enable composer quirks to post-process the text |

Since: 3.44